
From: Hugh Dickins <hugh@veritas.com>

There's an irritating extra space upsetting alignment in the 2.6
/proc/swaps, which already arranges a space to separate the fields.


---

 25-akpm/mm/swapfile.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/swapfile.c~proc-swaps-tidiness mm/swapfile.c
--- 25/mm/swapfile.c~proc-swaps-tidiness	2004-03-28 15:16:12.480772696 -0800
+++ 25-akpm/mm/swapfile.c	2004-03-28 15:16:12.482772392 -0800
@@ -1227,7 +1227,7 @@ static int swap_show(struct seq_file *sw
 
 	file = ptr->swap_file;
 	len = seq_path(swap, file->f_vfsmnt, file->f_dentry, " \t\n\\");
-	seq_printf(swap, "%*s %s\t%d\t%ld\t%d\n",
+	seq_printf(swap, "%*s%s\t%d\t%ld\t%d\n",
 		       len < 40 ? 40 - len : 1, " ",
 		       S_ISBLK(file->f_dentry->d_inode->i_mode) ?
 				"partition" : "file\t",

_
